summaryrefslogtreecommitdiffstats
path: root/usr.sbin/pc-sysinstall/backend/functions-runcommands.sh
diff options
context:
space:
mode:
authorimp <imp@FreeBSD.org>2010-08-19 05:59:27 +0000
committerimp <imp@FreeBSD.org>2010-08-19 05:59:27 +0000
commit23d9b9fddd80cb970290ccdde4452d75102c2ce0 (patch)
treeafdb16cb0de36138fec883c729244aaf2f0e7273 /usr.sbin/pc-sysinstall/backend/functions-runcommands.sh
parent48183e9b238a8ed57106391ce5fe952483664d5e (diff)
downloadFreeBSD-src-23d9b9fddd80cb970290ccdde4452d75102c2ce0.zip
FreeBSD-src-23d9b9fddd80cb970290ccdde4452d75102c2ce0.tar.gz
Various updates to support new pc-sysinstall directive
"installPackages" that will install packages and all package dependencies. PR: 148606 Submitted by: John Hixon
Diffstat (limited to 'usr.sbin/pc-sysinstall/backend/functions-runcommands.sh')
-rwxr-xr-xusr.sbin/pc-sysinstall/backend/functions-runcommands.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/usr.sbin/pc-sysinstall/backend/functions-runcommands.sh b/usr.sbin/pc-sysinstall/backend/functions-runcommands.sh
index beb1d98..fccc00a 100755
--- a/usr.sbin/pc-sysinstall/backend/functions-runcommands.sh
+++ b/usr.sbin/pc-sysinstall/backend/functions-runcommands.sh
@@ -37,7 +37,10 @@ run_chroot_cmd()
echo "$CMD" >${FSMNT}/.runcmd.sh
chmod 755 ${FSMNT}/.runcmd.sh
chroot ${FSMNT} sh /.runcmd.sh
+ RES=$?
+
rm ${FSMNT}/.runcmd.sh
+ return ${RES}
};
run_chroot_script()
@@ -50,8 +53,10 @@ run_chroot_script()
echo_log "Running chroot script: ${SCRIPT}"
chroot ${FSMNT} /.${SBASE}
+ RES=$?
rm ${FSMNT}/.${SBASE}
+ return ${RES}
};
@@ -64,7 +69,10 @@ run_ext_cmd()
echo "${CMD}"> ${TMPDIR}/.runcmd.sh
chmod 755 ${TMPDIR}/.runcmd.sh
sh ${TMPDIR}/.runcmd.sh
+ RES=$?
+
rm ${TMPDIR}/.runcmd.sh
+ return ${RES}
};
OpenPOWER on IntegriCloud